# Export a workflow version

Exports a workflow version into a JSON file. This file can be used to create a copy of this workflow version.
### User Access Permission
You must be assigned the **Workflow View Access** permission to run this operation.

Endpoint: GET /workflows/{workflow_id}/export
Version: 2026-10-30
Security: bearerAuth

## Description:

  - `User Access Permission` ()
    You must be assigned the **Workflow View Access** permission to run this operation.

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `workflow_id` (integer, required)
    The ID of the workflow definition to export.

## Query parameters:

  - `version` (string)
    Default result is the active version of the workflow definition. Version number and 'latest' can be used to export a specific version of the workflow definition.

## Header parameters:

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `linkages` (array)

  - `linkages.linkage_type` (string)
    Enum: "Start", "Success", "Failure", "Iterate", "True", "False", "Approve", "Reject"

  - `linkages.source_task_id` (integer)
    the task that spawned the target task

  - `linkages.source_workflow_id` (integer)
    the workflow the target task is associated with

  - `linkages.target_task_id` (integer)
    the task that the source task is linked to.

  - `tasks` (array)

  - `tasks.action_type` (string)
    The type of the task.

The available task types depend on the features that are enabled for your tenant, so not every value listed here is selectable in every tenant.
    Enum: "Ai::Llm", "Ai::McpCall", "Approval", "AsynchronousCallout", "Attachment", "Billing::BillRun", "Billing::CurrencyConversion", "Billing::CustomBillingDocument", "Billing::ReverseInvoice", "Callout", "Cancel", "Create", "CustomObject::Create", "CustomObject::Delete", "CustomObject::Query", "CustomObject::Update", "Data::Aqua", "Data::BillingPreviewRun", "Data::Link", "Data::Warehouse", "Delay", "Delete", "Download::S3", "Download::SFTP", "Email", "Execute::WorkflowTask", "Export", "File::BulkDataLoader", "File::CustomPDF::CustomDocument", "File::DownloadFile", "File::FileOperations", "File::FileStreamingUpload", "File::ZuoraImport", "GraphQuery", "If", "InvoiceGenerate", "Iterate", "Logic::CSVTranslator", "Logic::Case", "Logic::JSONTransform", "Logic::Lambda", "Logic::Liquid", "Logic::Merge", "Logic::ResponseFormatter", "Logic::XMLTransform", "Mediation::SendEvents", "NewProduct", "Notifications::SMS", "Payment::GatewayReconciliation", "Payment::PaymentRun", "Query", "RemoveProduct", "Reporting::OracleFusionReport", "Reporting::RunReport", "Resume", "Revenue::AllocateAction", "Revenue::ApplyImpairment", "Revenue::ApplyVc", "Revenue::CloseRcTask", "Revenue::CreateManualRc", "Revenue::DeferCost", "Revenue::DeferRevenue", "Revenue::EditLine", "Revenue::EditPobAttributes", "Revenue::ExpireVc", "Revenue::GenerateForecast", "Revenue::Hold", "Revenue::LinkDelink", "Revenue::MovePob", "Revenue::OpenRcTask", "Revenue::ReleaseCost", "Revenue::ReleaseRevenue", "Revenue::SwitchAllocation", "Revenue::SwitchLeadLine", "Revenue::UnfreezeRc", "Revenue::VoidBilling", "Script::JavaScript", "Suspend", "UI::Page", "UI::Stop", "UI::WebShare", "Update", "Upload::FTP", "Upload::S3", "Upload::SFTP", "Usage::ImportUsage", "UsageMediation::Filter", "UsageMediation::Group", "UsageMediation::Map", "UsageMediation::Sink", "UsageMediation::Source", "UsageMediation::Watermark", "WriteOff"

  - `tasks.call_type` (string)
    The type of API used.

  - `tasks.assignment` (array)
    The users or groups that the task is assigned to, represented as email
addresses or usernames.

  - `tasks.concurrent_limit` (integer)
    the number of concurrent tasks that are allowed to run simultaneously

  - `tasks.created_at` (string)
    The date and time when the task is created, in the `YYYY-MM-DDThh:mm:ss.sssZ` format.

  - `tasks.css` (object)
    The position of the task on the workflow canvas.

  - `tasks.data` (object)
    The data payload for the task.

  - `tasks.end_time` (string)
    If **Instance** is **true**, the end time of the task instance.

  - `tasks.error` (string)
    If **Instance** is **true** and **status** is **Error**, the error reason of the task instance failure.

  - `tasks.error_class` (string)
    If **Instance** is **true** and **status** is **Error**, the error class of the task instance failure.

  - `tasks.error_details` (string)
    If **Instance** is **true** and **status** is **Error**, the error details of the task instance failure.

  - `tasks.id` (integer)
    The unique ID of the task.

  - `tasks.instance` (boolean)
    Indicates whether this task belongs to an instance of a workflow.

  - `tasks.name` (string)
    The name of the task.

  - `tasks.notes` (string)
    The notes of the task.

  - `tasks.object` (string)
    The selected object for the task.

  - `tasks.object_id` (string)
    The id of the selected object of the task.

  - `tasks.original_task_id` (integer)
    If **Instance** is **true**, the ID of the original task in the original workflow.

  - `tasks.original_workflow_id` (integer)
    If **Instance** is **true**, the ID of the original workflow.

  - `tasks.parameters` (object)
    The configuration of the task.

  - `tasks.priority` (string)
    The priority of the task.

  - `tasks.start_time` (string)
    If **Instance** is **true**, the start time of the task instance.

  - `tasks.status` (string)
    If **Instance** is **true**, the status of the task instance.
    Enum: "Queued", "Processing", "Pending", "Success", "Stopped", "Error"

  - `tasks.tags` (array)
    The array of filter tags.

  - `tasks.task_id` (integer)
    the id of this task's parent task. Will be null if this is the first task of the workflow

  - `tasks.transient_fields` (object)
    The transient fields of the task, such as the approval data.

  - `tasks.updated_at` (string)
    The date and time when the task is updated the last time, in the `YYYY-MM-DDThh:mm:ss.sssZ` format.

  - `tasks.workflow_id` (integer)
    The ID of the workflow that the task belongs to.

  - `workflow` (object)
    A workflow.

  - `workflow.call_type` (string)
    The call type of the active workflow version.

  - `workflow.callout_trigger` (boolean)
    Indicates whether the callout trigger is enabled for the retrieved workflow.

  - `workflow.created_at` (string)
    The date and time when the workflow is created, in the `YYYY-MM-DDThh:mm:ss.sssZ` format.

  - `workflow.description` (string)
    The description of the workflow.

  - `workflow.finished_at` (string)
    The date and time when the instance of the workflow version finished at.

  - `workflow.id` (integer)
    The unique ID of the workflow.

  - `workflow.interval` (string)
    The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled.

  - `workflow.name` (string)
    The name of the workflow.

  - `workflow.ondemand_trigger` (boolean)
    Indicates whether the ondemand trigger is enabled for the workflow.

  - `workflow.original_workflow_id` (integer)
    The unique ID of the original workflow version.

  - `workflow.priority` (string)
    The priority of the active workflow version.

  - `workflow.scheduled_trigger` (boolean)
    Indicates whether the scheduled trigger is enabled for the workflow.

  - `workflow.started_at` (string)
    The date and time when the instance of the workflow version started at.

  - `workflow.status` (string)
    The status of the active workflow version.

  - `workflow.timezone` (string)
    The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled.

  - `workflow.type` (string)
    The type of the workflow. Currently the only valid value is 'Workflow::Setup'.
    Enum: "Workflow::Setup", "Workflow::Instance"

  - `workflow.updated_at` (string)
    The date and time when the workflow is updated the last time, in the `YYYY-MM-DDThh:mm:ss.sssZ` format.

  - `workflow.version` (string)
    The version number of the active workflow version.

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 400:

  - `400` (unknown)
    The input of version is invalid.

## Response 400 fields (application/json):

  - `errors` (array)
    The list of errors returned from the workflow

  - `errors.code` (string)
    A short error code describing the error
    Enum: "invalid"

  - `errors.status` (integer)
    The http status code for this error

  - `errors.title` (string)
    A human readable description describing the error

## Response 400 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 404:

  - `404` (unknown)
    Workflow version is not found.

## Response 404 fields (application/json):

  - `errors` (array)
    The list of errors returned from the workflow

  - `errors.code` (string)
    A short error code describing the error
    Enum: "invalid"

  - `errors.status` (integer)
    The http status code for this error

  - `errors.title` (string)
    A human readable description describing the error

## Response 404 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 200 examples:

  - `response` (unknown)

## Response 400 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

